package domain

type TmallItemOriginAsyncApiResult struct {
	/*
	   错误code     */
	MappedErrorCodes *string `json:"mapped_error_codes,omitempty" `

	/*
	   成功失败     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误描述     */
	MappedErrorMessages *string `json:"mapped_error_messages,omitempty" `
}

func (s *TmallItemOriginAsyncApiResult) SetMappedErrorCodes(v string) *TmallItemOriginAsyncApiResult {
	s.MappedErrorCodes = &v
	return s
}
func (s *TmallItemOriginAsyncApiResult) SetSuccess(v bool) *TmallItemOriginAsyncApiResult {
	s.Success = &v
	return s
}
func (s *TmallItemOriginAsyncApiResult) SetMappedErrorMessages(v string) *TmallItemOriginAsyncApiResult {
	s.MappedErrorMessages = &v
	return s
}
